# The Cash Balance Transaction object

### The Cash Balance Transaction object

```json
{
  "id": "ccsbtxn_1Na16B2eZvKYlo2CUhyw3dsF",
  "object": "customer_cash_balance_transaction",
  "created": 1690829143,
  "currency": "eur",
  "customer": "cus_9s6XKzkNRiz8i3",
  "ending_balance": 10000,
  "funded": {
    "bank_transfer": {
      "eu_bank_transfer": {
        "bic": "BANKDEAAXXX",
        "iban_last4": "7089",
        "sender_name": "Sample Business GmbH"
      },
      "reference": "Payment for Invoice 28278FC-155",
      "type": "eu_bank_transfer"
    }
  },
  "livemode": false,
  "net_amount": 5000,
  "type": "funded"
}
```

## Attributes

- `id` (string)
  Unique identifier for the object.

- `object` (string)
  String representing the object’s type. Objects of the same type share the same value.

- [`adjusted_for_overdraft`](https://docs.stripe.com/api/cash_balance_transactions/object.md?query=adjusted_for_overdraft) (object, nullable)
  If this is a `type=adjusted_for_overdraft` transaction, contains information about what caused the overdraft, which triggered this transaction.

- [`applied_to_payment`](https://docs.stripe.com/api/cash_balance_transactions/object.md?query=applied_to_payment) (object, nullable)
  If this is a `type=applied_to_payment` transaction, contains information about how funds were applied.

- `created` (timestamp)
  Time at which the object was created. Measured in seconds since the Unix epoch.

- `currency` (string)
  Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase. Must be a [supported currency](https://docs.stripe.com/currencies.md).

- `customer` (string, expandable (can be expanded into an object with the `expand` request parameter))
  The customer whose available cash balance changed as a result of this transaction.

- `customer_account` (string, nullable)
  The ID of an Account representing a customer whose available cash balance changed as a result of this transaction.

- `ending_balance` (integer)
  The total available cash balance for the specified currency after this transaction was applied. Represented in the [smallest currency unit](https://docs.stripe.com/currencies.md#zero-decimal).

- [`funded`](https://docs.stripe.com/api/cash_balance_transactions/object.md?query=funded) (object, nullable)
  If this is a `type=funded` transaction, contains information about the funding.

- `livemode` (boolean)
  If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.

- `net_amount` (integer)
  The amount by which the cash balance changed, represented in the [smallest currency unit](https://docs.stripe.com/currencies.md#zero-decimal). A positive value represents funds being added to the cash balance, a negative value represents funds being removed from the cash balance.

- [`refunded_from_payment`](https://docs.stripe.com/api/cash_balance_transactions/object.md?query=refunded_from_payment) (object, nullable)
  If this is a `type=refunded_from_payment` transaction, contains information about the source of the refund.

- [`transferred_to_balance`](https://docs.stripe.com/api/cash_balance_transactions/object.md?query=transferred_to_balance) (object, nullable)
  If this is a `type=transferred_to_balance` transaction, contains the balance transaction linked to the transfer.

- `type` (enum)
  The type of the cash balance transaction. New types may be added in future. See [Customer Balance](https://docs.stripe.com/payments/customer-balance.md#types) to learn more about these types.
Possible enum values:
  - `adjusted_for_overdraft`
    A cash balance transaction type: `adjusted_for_overdraft`

  - `applied_to_payment`
    A cash balance transaction type: `applied_to_payment`

  - `funded`
    A cash balance transaction type: `funded`

  - `funding_reversed`
    A cash balance transaction type: `funding_reversed`

  - `refunded_from_payment`
    A cash balance transaction type: `refunded_from_payment`

  - `return_canceled`
    A cash balance transaction type: `return_canceled`

  - `return_initiated`
    A cash balance transaction type: `return_initiated`

  - `transferred_to_balance`
    A cash balance transaction type: `transferred_to_balance`

  - `unapplied_from_payment`
    A cash balance transaction type: `unapplied_from_payment`

- [`unapplied_from_payment`](https://docs.stripe.com/api/cash_balance_transactions/object.md?query=unapplied_from_payment) (object, nullable)
  If this is a `type=unapplied_from_payment` transaction, contains information about how funds were unapplied.
